<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Chance</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Chance";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":9,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Chance.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/CentreCommercial.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Configuration.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Chance.html" target="_top">Frames</a></li>
<li><a href="Chance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Chance" class="title">Class Chance</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../back/Case.html" title="class in back">back.Case</a></li>
<li>
<ul class="inheritance">
<li>back.Chance</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Chance</span>
extends <a href="../back/Case.html" title="class in back">Case</a></pre>
<div class="block">Classe représentant la case chance.
 Cette classe étend la Classe Case.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Case.html" title="class in back"><code>Case</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Chance.html#Chance-java.lang.String-int-java.lang.String-">Chance</a></span>(java.lang.String&nbsp;nom,
      int&nbsp;id,
      java.lang.String&nbsp;couleur)</code>
<div class="block">Constructeur de la case chance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Action de la case.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#avancerReculer-back.Joueur-">avancerReculer</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode permettant d'envoyer un joueur à une salle précise.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#avancerReculerTexte-back.Joueur-">avancerReculerTexte</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de remplacer le texte des cartes chance ayant un impact sur la position du joueur.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#carteConservee-back.Joueur-">carteConservee</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de changer la valeur de modificateur du joueur sur le nombre de DS.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#cartesConserveeTexte-back.Joueur-">cartesConserveeTexte</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui attribu le bons texte aux cartes pouvant être conservée.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#executeLaBonneCarte-back.Joueur-">executeLaBonneCarte</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de lancer l'éxécution des cartes.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#gagnerPerdreArgent-back.Joueur-">gagnerPerdreArgent</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui ajoute/retire l'argent d'un joueur ayant tiré une carte chance.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#gagnerPerdreArgentTexte-back.Joueur-">gagnerPerdreArgentTexte</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de réaliser les actions des cartes chance faisant perdre ou gagner de l'argent à des joueurs.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../back/CarteChance.html" title="class in back">CarteChance</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#getCarteChance--">getCarteChance</a></span>()</code>
<div class="block">Getter d'une carte chance.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../view/ChanceView.html" title="class in view">ChanceView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#getView--">getView</a></span>()</code>
<div class="block">Getter de la vue d'une case chance.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#lesModificateurs-back.Joueur-">lesModificateurs</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode permettant de mofifier les dés des joueurs, d'impacter leur position, de leur proposer un choix,</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#lesModificateursTexte-back.Joueur-">lesModificateursTexte</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui ajoute le texte aux cartes qui mofidient les déplacements du joueur.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../back/CarteChance.html" title="class in back">CarteChance</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#piocherCarte--">piocherCarte</a></span>()</code>
<div class="block">Ajout d'un carte chance à la liste d'un joueur.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#seDeplacer-back.Joueur-">seDeplacer</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de déplacer un joueur.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#setCarteChance-back.CarteChance-">setCarteChance</a></span>(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;chance)</code>
<div class="block">Setter d'une carte chance.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Chance.html#tempsTour-back.Joueur-">tempsTour</a></span>(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui modifie le temps du tour du joueur.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.back.Case">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;back.<a href="../back/Case.html" title="class in back">Case</a></h3>
<code><a href="../back/Case.html#getCouleur--">getCouleur</a>, <a href="../back/Case.html#getFiche--">getFiche</a>, <a href="../back/Case.html#getId--">getId</a>, <a href="../back/Case.html#getNom--">getNom</a>, <a href="../back/Case.html#setCouleur-java.lang.String-">setCouleur</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Chance-java.lang.String-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Chance</h4>
<pre>public&nbsp;Chance(java.lang.String&nbsp;nom,
              int&nbsp;id,
              java.lang.String&nbsp;couleur)</pre>
<div class="block">Constructeur de la case chance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Le nom de la case en String.</dd>
<dd><code>id</code> - L'identifiant de la case en int.</dd>
<dd><code>couleur</code> - Couleur du joueur</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Case.html" title="class in back"><code>Case</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../view/ChanceView.html" title="class in view">ChanceView</a>&nbsp;getView()</pre>
<div class="block">Getter de la vue d'une case chance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../back/Case.html#getView--">getView</a></code>&nbsp;in class&nbsp;<code><a href="../back/Case.html" title="class in back">Case</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>La vue de la case chance.</dd>
</dl>
</li>
</ul>
<a name="getCarteChance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCarteChance</h4>
<pre>public&nbsp;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;getCarteChance()</pre>
<div class="block">Getter d'une carte chance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Une carte Chance.</dd>
</dl>
</li>
</ul>
<a name="setCarteChance-back.CarteChance-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCarteChance</h4>
<pre>public&nbsp;void&nbsp;setCarteChance(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;chance)</pre>
<div class="block">Setter d'une carte chance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>chance</code> - La nouvelle carte chance.</dd>
</dl>
</li>
</ul>
<a name="piocherCarte--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>piocherCarte</h4>
<pre>public&nbsp;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;piocherCarte()</pre>
<div class="block">Ajout d'un carte chance à la liste d'un joueur.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Carte Piochée</dd>
</dl>
</li>
</ul>
<a name="gagnerPerdreArgentTexte-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gagnerPerdreArgentTexte</h4>
<pre>public&nbsp;void&nbsp;gagnerPerdreArgentTexte(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui permet de réaliser les actions des cartes chance faisant perdre ou gagner de l'argent à des joueurs. 
 Celle-ci change uniquement les textes des cartes chance, et attribu les bonnes valeurs à CarteChance.plusMoinArgent().</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Le joueur qui tire la carte chance.</dd>
</dl>
</li>
</ul>
<a name="avancerReculerTexte-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>avancerReculerTexte</h4>
<pre>public&nbsp;void&nbsp;avancerReculerTexte(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui permet de remplacer le texte des cartes chance ayant un impact sur la position du joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="lesModificateursTexte-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lesModificateursTexte</h4>
<pre>public&nbsp;void&nbsp;lesModificateursTexte(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui ajoute le texte aux cartes qui mofidient les déplacements du joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a pioché la carte chance.</dd>
</dl>
</li>
</ul>
<a name="cartesConserveeTexte-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cartesConserveeTexte</h4>
<pre>public&nbsp;void&nbsp;cartesConserveeTexte(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui attribu le bons texte aux cartes pouvant être conservée.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="gagnerPerdreArgent-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gagnerPerdreArgent</h4>
<pre>public&nbsp;void&nbsp;gagnerPerdreArgent(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui ajoute/retire l'argent d'un joueur ayant tiré une carte chance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur ayant tiré la carte Chance.</dd>
</dl>
</li>
</ul>
<a name="avancerReculer-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>avancerReculer</h4>
<pre>public&nbsp;void&nbsp;avancerReculer(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode permettant d'envoyer un joueur à une salle précise.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur ayant tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="seDeplacer-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>seDeplacer</h4>
<pre>public&nbsp;void&nbsp;seDeplacer(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui permet de déplacer un joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="lesModificateurs-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lesModificateurs</h4>
<pre>public&nbsp;void&nbsp;lesModificateurs(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode permettant de mofifier les dés des joueurs, d'impacter leur position, de leur proposer un choix,</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="tempsTour-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tempsTour</h4>
<pre>public&nbsp;void&nbsp;tempsTour(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui modifie le temps du tour du joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur ayant tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="carteConservee-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>carteConservee</h4>
<pre>public&nbsp;void&nbsp;carteConservee(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui permet de changer la valeur de modificateur du joueur sur le nombre de DS.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a pioché la carte chance.</dd>
</dl>
</li>
</ul>
<a name="executeLaBonneCarte-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeLaBonneCarte</h4>
<pre>public&nbsp;void&nbsp;executeLaBonneCarte(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Méthode qui permet de lancer l'éxécution des cartes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Joueur qui a tiré la carte chance.</dd>
</dl>
</li>
</ul>
<a name="actionCase-back.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionCase</h4>
<pre>public&nbsp;void&nbsp;actionCase(<a href="../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</pre>
<div class="block">Action de la case.
 Pour la case chance le joueur tire une carte chance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../back/Case.html#actionCase-back.Joueur-">actionCase</a></code>&nbsp;in class&nbsp;<code><a href="../back/Case.html" title="class in back">Case</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>j</code> - Le joueur acteur de l'action.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../back/Joueur.html" title="class in back"><code>Joueur</code></a></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Chance.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/CentreCommercial.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Configuration.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Chance.html" target="_top">Frames</a></li>
<li><a href="Chance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
